Summary:        Library providing BSD-compatible functions for portability
Name:           libbsd
Version:        0.11.7
Release:        3%{?dist}
License:        Beerware AND BSD-2-Clause AND BSD-3-Clause AND BSD-4-Clause AND ISC AND libutil-David-Nugent AND MIT AND LicenseRef-Fedora-Public-Domain
URL:            https://libbsd.freedesktop.org/
Source0:        %{url}releases/libbsd-%{version}.tar.xz
Patch3000:      libbsd-configure-c99.patch

BuildRequires:  make gcc autoconf automake libtool
BuildRequires:  libmd-devel

%description
This library provides useful functions commonly found on BSD systems, and lacking on others 
like GNU systems, thus making it easier to port projects with strong BSD origins, without 
needing to embed the same code over and over again on each project.

%package devel
Summary:        Development files for libbsd
Requires:       %{name} = %{version}-%{release}
Requires:       libmd-devel

%description devel
Development files for the libbsd library.

%package ctor-static
Summary:        Development files for libbsd
Requires:       %{name} = %{version}-%{release}

%description ctor-static
This library is required if setproctitle() is to be used when libbsd is loaded via dlopen() 
from a threaded program.  This can be configured using "pkg-config --libs libbsd-ctor".

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure
%make_build

%install
%make_install V=1

rm %{buildroot}%{_libdir}/%{name}.a
rm %{buildroot}%{_libdir}/%{name}.la
rm %{buildroot}%{_mandir}/man3/explicit_bzero.3bsd

%check
%make_build check

%files
%license COPYING
%doc README TODO ChangeLog
%{_libdir}/%{name}.so.*

%files devel
%{_includedir}/bsd
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-overlay.pc
%{_mandir}/man3/*.3bsd.*
%{_mandir}/man7/%{name}.7.*

%files ctor-static
%{_libdir}/%{name}-ctor.a
%{_libdir}/pkgconfig/%{name}-ctor.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.7-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.7-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Wang Guodong <gordonwwang@tencent.com> - 0.11.7-1
- initial build
